KUBERNETES(1)

NAME

kubeadm init phase etcd local - Generates the static Pod manifest file for a local, single-node local etcd instance.

SYNOPSIS

kubeadm init phase etcd local [OPTIONS]

DESCRIPTION

Generates the static Pod manifest file for a local, single-node local etcd instance.

OPTIONS

--cert-dir="/etc/kubernetes/pki"
    The path where to save and store the certificates.

--config=""
    Path to a kubeadm configuration file.

--image-repository="k8s.gcr.io"
    Choose a container registry to pull control plane images from

OPTIONS INHERITED FROM PARENT COMMANDS

--azure-container-registry-config=""
    Path to the file containing Azure container registry configuration information.

--log-flush-frequency=5s
    Maximum number of seconds between log flushes

--rootfs=""
    [EXPERIMENTAL] The path to the 'real' host root filesystem.

--version=false
    Print version information and quit

EXAMPLE

      # Generates the static Pod manifest file for etcd, functionally
      # equivalent to what is generated by kubeadm init.
      kubeadm init phase etcd local

      # Generates the static Pod manifest file for etcd using options
      # read from a configuration file.
      kubeadm init phase etcd local --config config.yaml

SEE ALSO

kubeadm-init-phase-etcd(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!